Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
[Java] Class ObjectGraphBuilder.ReflectionClassNameResolver

    java.lang.Object
      groovy.util.ObjectGraphBuilder.ReflectionClassNameResolver

All Implemented Interfaces:
  ClassNameResolver

    public class ObjectGraphBuilder.ReflectionClassNameResolver

Build objects using reflection to resolve class names.

Constructor Summary
`ObjectGraphBuilder.ReflectionClassNameResolver(java.lang.String root)`

Method Summary
`java.lang.String` | `resolveClassname(java.lang.String classname)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ObjectGraphBuilder.ReflectionClassNameResolver

    public ObjectGraphBuilder.ReflectionClassNameResolver(java.lang.String root)

Method Detail

### resolveClassname

    public java.lang.String resolveClassname(java.lang.String classname)

Groovy Documentation